## tintii 2.2.3

=== SConstruct ===
import os
import os.path

NAME = 'tintii'
VERSION = '2.2.3'
DISTRO = NAME + '-' + VERSION

##
## Environment
##
env = Environment(ENV = os.environ)

# Command line options
opts = Variables('config.py')
opts.AddVariables(PathVariable('PREFIX',
                               'Installation directory', '/usr/local'),
                  BoolVariable('NDEBUG',
                               'Set to disable assertion checking', 0),
                  BoolVariable('SKIPCONFIG',
                               'Set to skip configuration', 0),
                  ('CXX', 'C++ compiler'),
                  ('CXXFLAGS', 'C++ compiler flags'),
                  ('LINKFLAGS', 'Linker flags'),
               )
opts.Update(env)
if env['NDEBUG']:
  env.Append(CPPDEFINES = 'NDEBUG')

# Help
Help(opts.GenerateHelpText(env))

##
## Configuration
##
if not env.GetOption('clean') and not env['SKIPCONFIG']:
  conf = Configure(env)

  # Check for wxWidgets
  if not conf.CheckCXXHeader(os.path.join('wx', 'wx.h')):
    print 'wxWidgets not found'
    Exit(1)

  # Check for boost ublas
  if not (conf.CheckCXXHeader(os.path.join('boost', 'numeric', 'ublas',
      'vector.hpp')) and conf.CheckCXXHeader(os.path.join('boost', 'numeric',
      'ublas', 'matrix.hpp'))):
    print 'Boost.uBLAS not found'
    Exit(1)

##
## Build
##

# Compile
objects = []
headers = []
releases = []

Export(['env', 'objects', 'headers', 'releases'])
env.SConscript(os.path.join('src', 'SConscript'))

# Build program
program = env.Program(target = NAME, source = objects)


##
## Release
##

# Add meta files to release
releases += ['README.txt',
             'LICENSE.txt',
             'VERSION.txt',
             'Doxyfile',
             'SConstruct',
             'config.py',
             os.path.join('src', 'nuvola', 'README.txt'),
             os.path.join('images', 'splash.xpm'),
             os.path.join('images', 'nuvola', 'license.txt'),
             os.path.join('images', 'nuvola', 'readme.txt'),
             os.path.join('images', 'nuvola', 'button_accept.png'),
             os.path.join('images', 'nuvola', 'button_cancel.png'),
             os.path.join('images', 'nuvola', 'decrypted.png'),
             os.path.join('images', 'nuvola', 'down.png'),
             os.path.join('images', 'nuvola', 'encrypted.png'),
             os.path.join('images', 'nuvola', 'exit.png'),
             os.path.join('images', 'nuvola', 'fileclose.png'),
             os.path.join('images', 'nuvola', 'filenew.png'),
             os.path.join('images', 'nuvola', 'fileopen.png'),
             os.path.join('images', 'nuvola', 'filesaveas.png'),
             os.path.join('images', 'nuvola', 'filesave.png'),
             os.path.join('images', 'nuvola', 'finish.png'),
             os.path.join('images', 'nuvola', 'messagebox_info.png'),
             os.path.join('images', 'nuvola', 'up.png'),
             os.path.join('images', 'nuvola', 'viewmag1.png'),
             os.path.join('images', 'nuvola', 'viewmagfit.png'),
             os.path.join('images', 'nuvola', 'viewmag-.png'),
             os.path.join('images', 'nuvola', 'viewmag.png'),
             os.path.join('images', 'nuvola', 'viewmag+.png')
             ]

# Copy files to directory
oldDir = os.getcwd()
newDir = DISTRO
for release in releases:
  # for absolute paths...
  to = release.replace(oldDir, newDir)

  # for relative paths...
  if not to.startswith(newDir):
    to = os.path.join(newDir, to)

  env.Command(to, release, Copy(to, release))

# Tar
releaseEnv = Environment(TARFLAGS = '-cz')
tar = releaseEnv.Tar(DISTRO + '.tar.gz', DISTRO)


##
## Build control
##
Alias('build', [ program ])
Alias('release', [ tar ])
Alias('releasedir', [ DISTRO ])
Alias('all', [ 'build', 'release' ])
Default('build')

Clean('release', [ Dir(DISTRO) ])

=== debian/changelog ===
tintii (2.2.3-4) unstable; urgency=low

  * Update B-D libboost-graph-dev. Closes: #626075
  * Bump Standards-Version 3.9.2 (no changes)

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 08 May 2011 11:45:37 -0500

tintii (2.2.3-3) unstable; urgency=low

  * New maintainer. Closes: #607324
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove "gcc warning: deprecated conversion from string constant to 'char*'"
    + Add patch 01_remove-warnings.diff
  * debian/control
    + Bumped standard versions 3.9.1 (no changes)
    + Changed debhelper to 7.0.50 in B-D
  * Added tintii.menu

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 20 Dec 2010 15:15:50 -0500

tintii (2.2.3-2) unstable; urgency=low

  * Add debian/source 1.0
  * Bump Standards-Version to 3.9.0
  * Bump dependency of libboost-graph-dev from 1.40 to 1.42 (Closes: #590374)

 -- Stefan Ritter <xeno@thehappy.de>  Tue, 27 Jul 2010 12:35:25 +0200

tintii (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Stefan Ritter <xeno@thehappy.de>  Fri, 05 Feb 2010 15:10:34 +0100

tintii (2.2.2-1) unstable; urgency=low

  * Initial release (Closes: #547606)
  
 -- Stefan Ritter <xeno@thehappy.de>  Tue, 26 Jan 2010 11:03:00 +0200

=== debian/control ===
Source: tintii
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 7.0.50), scons, wx2.8-headers, libwxbase2.8-dev, libwxgtk2.8-dev, libboost-dev, libboost-graph-dev
Standards-Version: 3.9.2
Homepage: http://www.indii.org/software/tintii/

Package: tintii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Turns colour photos into b/w and highlights regions in colour
 tintii takes full colour photos and processes them into black and white with
 some select regions highlighted in colour. The technique is known as colour
 popping or selective colouring – tintii makes it easy.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	scons

override_dh_auto_install:
	install -m 755 tintii debian/tintii/usr/bin/

override_dh_installchangelogs:
	dh_installchangelogs VERSION.txt

## tintii 2.6.1

=== debian/changelog ===
tintii (2.6.1-1) unstable; urgency=low

  * New Upstream Release
  * debian/patches
    + Remove 01_remove-warnings.diff patch
      + Merge with upstream
  * update debian/tintii.docs 
  * Remove debian/tintii.dirs
  * Remove debian/tintii.install
  * debian/control
    + Remove scons from B-D
    + Change debhelper to 9 in B-D
  * Bump standard versions 3.9.3
    + Update to DEP5 copyright format 1.0
    + Extend copyright holder years.
  * Switch compat level 7 to 9
  * Update copyright file.
  * debian/rules
    + Remove override_dh_clean, override_dh_auto_build
      + Because isn't necessary

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 28 Apr 2012 09:49:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50), scons, wx2.8-headers, libwxbase2.8-dev, libwxgtk2.8-dev, libboost-dev, libboost-graph-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libboost-dev, wx2.8-headers, libwxbase2.8-dev, libwxgtk2.8-dev, libboost-graph-dev
+Standards-Version: 3.9.3
 Homepage: http://www.indii.org/software/tintii/
 
 Package: tintii

## tintii 2.8.2

=== debian/changelog ===
tintii (2.8.2-1) unstable; urgency=low

  * New upstream release
    + Fixed crash bug for particular image sizes

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 15 Nov 2013 22:37:40 -0500

tintii (2.8.0-1) unstable; urgency=low

  * New upstream release.
    + Added 16 and 32 bits per channel support to plugin.
    + Restored online help system in plugin on Mac OS X.
    + Window size and position now preserved between launches.
    + Tweaked default settings, particularly hardness.
  * debian/control
    + Adjust B-D according boost transitions.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 12 Oct 2013 18:15:44 -0500

tintii (2.7.0-1) unstable; urgency=low

  * New upstream release
  * Bump standard versions 3.9.4 (no changes)
  * debian/copyright
    + Extend copyright holders years

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 18 Aug 2013 21:48:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9), libboost-dev, wx2.8-headers, libwxbase2.8-dev, libwxgtk2.8-dev, libboost-graph-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libboost1.54-dev, wx2.8-headers, libwxbase2.8-dev, libwxgtk2.8-dev, libboost-graph1.54-dev
+Standards-Version: 3.9.4
 Homepage: http://www.indii.org/software/tintii/
 
 Package: tintii

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-assert CXXFLAGS="-O3 -g"

## tintii 2.9.0

=== debian/changelog ===
tintii (2.9.0-2) unstable; urgency=low

  * debian/control
    + switch to unversioned build-dependencies. Closes: #759391

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 14 Sep 2014 13:56:41 -0500

tintii (2.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Bump standard versions 3.9.5 (no changes).
    + Use wrap-and-sort.
  * debian/copyright
    + Change to correct  GPL-2.0+ license.
    + Remove images/nuvola/* copyright, was removed from upstream tarball.
    + Extend copyright holders years.
  * debian/control
    + Update description and sypnosis field.
  * debian/tintii.1
    + Add Author section in manpage.
  * debian/rules
    + export DEB_LDFLAGS_MAINT_APPEND to avoid useless dependencies.
    + Enable dpkg-buildflags to set hardening flags.
    + Remove override_dh_auto_configure because isn't necessary.
  * remove the extra blank lines at end of d/compat and d/tintii.menu.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 10 Jul 2014 22:44:05 -0500

tintii (2.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Wed, 19 Mar 2014 00:46:09 +1300

=== debian/control ===
Source: tintii
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Section: graphics
Priority: optional
Build-Depends: bc,
               debhelper (>= 9),
               libboost-graph-dev,
               libboost-dev,
               libwxgtk3.0-dev
Standards-Version: 3.9.5
Homepage: http://www.indii.org/software/tintii/

Package: tintii
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: photo filter for easy color effects
 This package provides a tool for photo effects like hue shifting and
 selective color adjustments.
 .
 Tintii's special feature is automatic detection of the major colors in
 a photo, making adjustments quicker and easier.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

## tintii 2.10.0

=== debian/changelog ===
tintii (2.10.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:47 +0100

tintii (2.10.0-2) unstable; urgency=medium

  * debian/control.
    + Switching to the GTK 3. (Closes: #933467)
      + Change to libwxgtk3.0-gtk3-dev in B-D.
    + Change my email address.
    + Update DH to 12 in B-D.
    + Bump standard versions 4.4.0
  * Use debhelper-compat instead of debian/compat.
  * Remove some whitespaces.
  * debian/copyright
    + Use HTTPS Url in format field.
  * debian/watch
    + Use HTTPS in Url.

 -- Daniel Echeverry <epsilon@debian.org>  Wed, 04 Sep 2019 19:56:44 -0500

tintii (2.10.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    + Bump standard versions 3.9.6 (no changes)
  * debian/copyright
    + Extend copyright holders years
  * debian/rules
    + Add override_dh_auto_configure
      + Give configure options recommended by upstream

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 22 Oct 2015 17:54:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: tintii
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Maintainer: Daniel Echeverry <epsilon@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: bc,
-               debhelper (>= 9),
+               debhelper (>= 12),
+               debhelper-compat (= 12),
                libboost-graph-dev,
                libboost-dev,
-               libwxgtk3.0-dev
-Standards-Version: 3.9.5
+               libwxgtk3.0-gtk3-dev
+Standards-Version: 4.4.0
 Homepage: http://www.indii.org/software/tintii/
 
 Package: tintii

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-assert

=== debian/watch ===
version=3
https://www.indii.org/files/tint/releases/tintii-([\d\.]*)\.tar\.gz
